Bug 190239 - PCI-X bus numbers 0x40,41,42 not detected
PCI-X bus numbers 0x40,41,42 not detected
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
:
: 190240 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-28 20:39 EDT by mike jaskowiak
Modified: 2012-06-20 12:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:09:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mike jaskowiak 2006-04-28 20:39:43 EDT
Description of problem: Gigabyte GA-2cewH server board bios maps the pci-x 
bridges/bus numbers to 0x40,41,42. They are not detected after instilation 
ergardless of type of cards in them, ie storage,nic. The lspci and proc pci 
dir util only lists up to bus 4.  

The admin guide refered to us the device command to pass the module name to 
anaconda in the kickstart but it did not detail the options switch, only 
listing some base io addresses. It also refered to passing these parms to the 
kernel (thru device >> anaconda??). I also saw this in the manual cd install 
but don't remember the man page and component it refered to in user/doc/...

Sooo, how do you force anaconda to scan ALL pci bus numbers.

Version-Release number of selected component (if applicable):
Redhat EL AS 2 update 2 with online updates.

How reproducible:always on that motherboard


Steps to Reproduce:
1.install RH EL AS4 u2 with / without cards in the PCI-X slots ON THAT 
MOTHERBOARD.  (no bios update or response yet from Gigabyte)
2.Aften install check lspci or proc pci and observe the pci-x slots are not 
detected.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-04-28 21:19:11 EDT
*** Bug 190240 has been marked as a duplicate of this bug. ***
Comment 2 Brian Maly 2006-09-12 14:52:44 EDT
Ive seen this before (its not that uncommon). We might need to work out a patch
for this, but one of these boot args might work (#3 looks like the best
perhaps). Can you give these a try and provide feedback regarding if it fixed
the issue or not?


(1) The `pci=assign-busses' Argument

This tells the kernel to always assign all PCI bus numbers, overriding whatever
the firmware may have done.

(2) The `pci=bios' and `pci=nobios' Arguments

These are used to set/clear the flag indicating that the PCI probing is to take
place via the PCI BIOS. The default is to use the BIOS. 

(3) The `pci=lastbus=' Argument

This allows the user to supply a lastbus value, which is converted using
strtol(). It will scan all buses till bus N. Can be useful if the kernel is
unable to find your secondary buses and you want to tell it explicitly which
ones they are.

Comment 3 Brian Maly 2008-12-08 19:58:10 EST
Can we get an update on the status of this bug? Did any of the boot args help?
Comment 4 Brian Maly 2009-03-05 14:09:14 EST
Does this problem still exist in newer RHEL kernels? I.e. can I close this bug?
Comment 6 Jiri Pallich 2012-06-20 12:09:37 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.